%define major 0
%define libname %mklibname tevent %{major}
%define devname %mklibname tevent -d

Summary:	Samba4 event management library
Name:		tevent
Version:	0.9.34
Release:	1
# Shipped in samba4 without internal version:
Epoch:		1
License:	GPLv3+
Group:		System/Libraries
Url:		http://tevent.samba.org/
Source0:	http://www.samba.org/ftp/tevent/tevent-%{version}.tar.gz
Source1:	http://www.samba.org/ftp/tevent/tevent-%{version}.tar.asc
BuildRequires:	python-talloc
BuildRequires:	pkgconfig(pytalloc-util) >= 2.1.5
BuildRequires:	pkgconfig(talloc) >= 2.1.5

%track
prog %{name} = {
	url = http://www.samba.org/ftp/tevent/
	regex = %{name}-(__VER__)\.tar\.gz
	version = %{version}
}

%description
Tevent is an event system based on the talloc memory management library. It is
the core event system used in Samba. Tevent has support for many event types,
including timers, signals, and the classic file descriptor events. Tevent also
provide helpers to deal with asynchronous code providing the tevent_req (Tevent
Request) functions.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Samba4 event management library
Group:		System/Libraries

%description -n %{libname}
Samba4 event management library.

%files -n %{libname}
%{_libdir}/libtevent.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for Samba4 event management library
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Requires:	pkgconfig(talloc) >= 2.1.2
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Development files for Samba4 event management library.

%files -n %{devname}
%{_libdir}/libtevent.so
%{_includedir}/tevent.h
%{_libdir}/pkgconfig/tevent.pc

#----------------------------------------------------------------------------

%package -n python-tevent
Summary:	Python module for Samba4 event management library
Group:		Development/Python

%description -n python-tevent
Python module for Samba4 event management library.

%files -n python-tevent
%{py_platsitedir}/_tevent.so
%{py_platsitedir}/tevent.py

#----------------------------------------------------------------------------

%prep
%setup -q
chmod +r -R .

%build
export PYTHONDIR=%{py_platsitedir}
%setup_compile_flags
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--disable-rpath \
	--bundled-libraries=NONE \
	--builtin-libraries=replace

%make

%install
%makeinstall_std

%changelog
